• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/Person/SavePersonEntity

Some tooltip text!
• 26 minutes to read
 • 26 minutes to read
POST /api/v1/Agents/Person/SavePersonEntity

Updates the existing PersonEntity or creates a new PersonEntity if the id parameter is 0.

NsApiSlow threshold: 2000 ms.

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: personEntity

The PersonEntity that is saved

Property Name Type Description
PersonId Integer Primary key
Firstname String First name
MiddleName String Middle name or 'van' etc.
Lastname String Last name
Mrmrs String e.g. Mrs sex_title Use MDO List name "mrmrs" to get list items.
Title String Title
UpdatedDate String Last updated date in UTC.
CreatedDate String Registered date in UTC.
BirthDate String The Person birth date as UTC Date. Year 1 = Null. Year 2 = unknown year.
CreatedBy Associate The user that created the person object
Emails Array A collection of the person's emails
Description String The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases
IsAssociate Boolean Checks if the person object is an associate. The property is read-only.
PrivatePhones Array Returns a collection of phone numbers that belong to the contact person.
Faxes Array Returns a collection of fax numbers that belong to the contact person.
MobilePhones Array Returns a collection of mobile phone numbers that belong to the contact person.
OfficePhones Array Returns a collection of office phone numbers that belong to the contact person.
OtherPhones Array Returns a collection of pagers that belong to the contact person.
Position Position The position. This is a predefined SuperOffice value, different from Title Use MDO List name "perspos" to get list items.
UpdatedBy Associate The person that last updated the person object
Contact Contact The contact the contact person is registered on. This is required unless the 'MandatoryContactOnPerson' preference is set. Use MDO List name "contact_new" to get list items.
Country Country The country this contact person is located in. Use MDO List name "country" to get list items.
Interests Array The person's available and selected interests. Use MDO List name "persint" to get list items.
PersonNumber String Alphanumeric user field
FullName String The person's full name localized to the current culture/country. (internal name used in clients for employees)
NoMailing Boolean Spam filter. Indicates if this person should retrieve advertising.
UsePersonAddress Boolean True if the person's address should be used as mailing address, instead of the contact's address.
Retired Boolean True if the user is retired and should have no rights, not appear in lists, etc.
Urls Array The urls related to this person.
FormalName String Get formal name for a person, as used in labels. (Full name + person title + academic title)
Address Address Structure holding formatted address data. The layout of the array structure indicates the layout of the localized address.
Post3 String Postal address, used in Japanese versions only
Post2 String Postal address, used in Japanese versions only
Post1 String Postal address, used in Japanese versions only
Kanalname String Kana last name, used in Japanese versions only
Kanafname String Kana first name, used in Japanese versions only
CorrespondingAssociate Associate The associate corresponding to this person. Will be empty if the person is not a user (internal associate user, external user).
Category Category Person's category. Usually null. Refer to the Contact.Category instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "category" to get list items.
Business Business Person's business - usually blank. Use Contact.Business instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "business" to get list items.
Associate Associate The associate owning this person (similar to contact.Associate) - usually blank. Use the Person.Contact.Associate instead. Intended for use when individual persons are created (i.e. when Person.Contact is blank) Use MDO List name "associate" to get list items.
Salutation String Academic title, populated from Salutation list but can be overwritten with anything at all Use MDO List name "salutation" to get list items.
ActiveInterests Integer The number of active interests.
SupportAssociate Associate Use MDO List name "associate" to get list items.
TicketPriority TicketPriority Use MDO List name "ticketpriority" to get list items.
CustomerLanguage CustomerLanguage Use MDO List name "customerlanguage" to get list items.
DbiAgentId Integer Integration agent (eJournal)
DbiKey String The primary key for the integrated entry in the external datasource.
DbiLastModified String When the entry was last modified.
DbiLastSyncronized String Last external syncronization.
SentInfo Integer Has information on username/password been sent (ejournal)
ShowContactTickets Integer Should tickets related to the company be shown to this person
UserInfo UserInfo Information about the user if this person is a user. If IsAssociate (e.g. is user is true) the UserInfo will be provided.
ChatEmails Array
InternetPhones Array
Source Integer How did we get this person? For future integration needs
ActiveErpLinks Integer How many active ERP links are there for this person?
ShipmentTypes Array The person's available and selected shipment types.
Consents Array The person's available consent information. Missing consents are not deleted. To remove a consent, mark its legalbase as 'WITHDRAWN'
BounceEmails Array Email addresses with a positive bounce counter.
ActiveStatusMonitorId Integer Active status monitor identity with the lowest rank for person
CreatedByFormId Integer The form id of the form that created the person
UtmParameters SavedUtmParameters Utm parameters when creating this person, readonly fields
LeadstatusId Integer Refinement of categories of lead type. Empty if the category is not a lead type.
UserDefinedFields Object Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234"
ExtraFields Object Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc.
CustomFields Object Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.PersonEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection.

Response:

OK

Response Description
200 OK

Response body: PersonEntity

Property Name Type Description
PersonId int32 Primary key
Firstname string First name
MiddleName string Middle name or 'van' etc.
Lastname string Last name
Mrmrs string e.g. Mrs sex_title Use MDO List name "mrmrs" to get list items.
Title string Title
UpdatedDate date-time Last updated date in UTC.
CreatedDate date-time Registered date in UTC.
BirthDate date-time The Person birth date as UTC Date. Year 1 = Null. Year 2 = unknown year.
CreatedBy Associate The user that created the person object
Emails array A collection of the person's emails
Description string The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases
IsAssociate bool Checks if the person object is an associate. The property is read-only.
PrivatePhones array Returns a collection of phone numbers that belong to the contact person.
Faxes array Returns a collection of fax numbers that belong to the contact person.
MobilePhones array Returns a collection of mobile phone numbers that belong to the contact person.
OfficePhones array Returns a collection of office phone numbers that belong to the contact person.
OtherPhones array Returns a collection of pagers that belong to the contact person.
Position Position The position. This is a predefined SuperOffice value, different from Title Use MDO List name "perspos" to get list items.
UpdatedBy Associate The person that last updated the person object
Contact Contact The contact the contact person is registered on. This is required unless the 'MandatoryContactOnPerson' preference is set. Use MDO List name "contact_new" to get list items.
Country Country The country this contact person is located in. Use MDO List name "country" to get list items.
Interests array The person's available and selected interests. Use MDO List name "persint" to get list items.
PersonNumber string Alphanumeric user field
FullName string The person's full name localized to the current culture/country. (internal name used in clients for employees)
NoMailing bool Spam filter. Indicates if this person should retrieve advertising.
UsePersonAddress bool True if the person's address should be used as mailing address, instead of the contact's address.
Retired bool True if the user is retired and should have no rights, not appear in lists, etc.
Urls array The urls related to this person.
FormalName string Get formal name for a person, as used in labels. (Full name + person title + academic title)
Address Address Structure holding formatted address data. The layout of the array structure indicates the layout of the localized address.
Post3 string Postal address, used in Japanese versions only
Post2 string Postal address, used in Japanese versions only
Post1 string Postal address, used in Japanese versions only
Kanalname string Kana last name, used in Japanese versions only
Kanafname string Kana first name, used in Japanese versions only
CorrespondingAssociate Associate The associate corresponding to this person. Will be empty if the person is not a user (internal associate user, external user).
Category Category Person's category. Usually null. Refer to the Contact.Category instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "category" to get list items.
Business Business Person's business - usually blank. Use Contact.Business instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "business" to get list items.
Associate Associate The associate owning this person (similar to contact.Associate) - usually blank. Use the Person.Contact.Associate instead. Intended for use when individual persons are created (i.e. when Person.Contact is blank) Use MDO List name "associate" to get list items.
Salutation string Academic title, populated from Salutation list but can be overwritten with anything at all Use MDO List name "salutation" to get list items.
ActiveInterests int32 The number of active interests.
SupportAssociate Associate Use MDO List name "associate" to get list items.
TicketPriority TicketPriority Use MDO List name "ticketpriority" to get list items.
CustomerLanguage CustomerLanguage Use MDO List name "customerlanguage" to get list items.
DbiAgentId int32 Integration agent (eJournal)
DbiKey string The primary key for the integrated entry in the external datasource.
DbiLastModified date-time When the entry was last modified.
DbiLastSyncronized date-time Last external syncronization.
SentInfo int32 Has information on username/password been sent (ejournal)
ShowContactTickets int32 Should tickets related to the company be shown to this person
UserInfo UserInfo Information about the user if this person is a user. If IsAssociate (e.g. is user is true) the UserInfo will be provided.
ChatEmails array
InternetPhones array
Source int32 How did we get this person? For future integration needs
ActiveErpLinks int32 How many active ERP links are there for this person?
ShipmentTypes array The person's available and selected shipment types.
Consents array The person's available consent information. Missing consents are not deleted. To remove a consent, mark its legalbase as 'WITHDRAWN'
BounceEmails array Email addresses with a positive bounce counter.
ActiveStatusMonitorId int32 Active status monitor identity with the lowest rank for person
CreatedByFormId int32 The form id of the form that created the person
UtmParameters SavedUtmParameters Utm parameters when creating this person, readonly fields
LeadstatusId int32 Refinement of categories of lead type. Empty if the category is not a lead type.
UserDefinedFields object Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234"
ExtraFields object Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc.
CustomFields object Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.PersonEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection.
TableRight TableRight The carrier's table right
FieldProperties object Field property dictionary mapping field names to field access rights.

Sample request

POST /api/v1/Agents/Person/SavePersonEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8

{
  "PersonId": 222,
  "Firstname": "Alford",
  "MiddleName": "Lehner-Barrows",
  "Lastname": "Bergstrom",
  "Mrmrs": "ullam",
  "Title": "enim",
  "UpdatedDate": "2014-08-05T10:11:00.5112694+02:00",
  "CreatedDate": "2006-12-06T10:11:00.5112694+01:00",
  "BirthDate": "2019-06-11T10:11:00.5112694+02:00",
  "CreatedBy": null,
  "Emails": [
    {
      "Value": "laudantium",
      "StrippedValue": "dicta",
      "Description": "Right-sized impactful initiative"
    },
    {
      "Value": "laudantium",
      "StrippedValue": "dicta",
      "Description": "Right-sized impactful initiative"
    }
  ],
  "Description": "Profound client-driven alliance",
  "IsAssociate": false,
  "PrivatePhones": [
    {
      "Value": "et",
      "StrippedValue": "iusto",
      "Description": "Realigned bifurcated application"
    },
    {
      "Value": "et",
      "StrippedValue": "iusto",
      "Description": "Realigned bifurcated application"
    }
  ],
  "Faxes": [
    {
      "Value": "qui",
      "StrippedValue": "rerum",
      "Description": "Robust solution-oriented capacity"
    },
    {
      "Value": "qui",
      "StrippedValue": "rerum",
      "Description": "Robust solution-oriented capacity"
    }
  ],
  "MobilePhones": [
    {
      "Value": "nesciunt",
      "StrippedValue": "inventore",
      "Description": "Reduced system-worthy secured line"
    },
    {
      "Value": "nesciunt",
      "StrippedValue": "inventore",
      "Description": "Reduced system-worthy secured line"
    }
  ],
  "OfficePhones": [
    {
      "Value": "qui",
      "StrippedValue": "asperiores",
      "Description": "Compatible intermediate groupware"
    },
    {
      "Value": "qui",
      "StrippedValue": "asperiores",
      "Description": "Compatible intermediate groupware"
    }
  ],
  "OtherPhones": [
    {
      "Value": "nobis",
      "StrippedValue": "enim",
      "Description": "Upgradable tangible approach"
    },
    {
      "Value": "nobis",
      "StrippedValue": "enim",
      "Description": "Upgradable tangible approach"
    }
  ],
  "Position": null,
  "UpdatedBy": null,
  "Contact": null,
  "Country": null,
  "Interests": [
    {
      "Id": 136,
      "Name": "Prohaska-Zieme",
      "ToolTip": "Quae qui praesentium in quia.",
      "Deleted": false,
      "Rank": 443,
      "Type": "eos",
      "ColorBlock": 585,
      "IconHint": "consequatur",
      "Selected": false,
      "LastChanged": "1999-02-13T10:11:00.5142693+01:00",
      "ChildItems": [
        {},
        {}
      ],
      "ExtraInfo": "ipsam",
      "StyleHint": "excepturi",
      "Hidden": false,
      "FullName": "Samantha Luettgen Jr."
    }
  ],
  "PersonNumber": "856630",
  "FullName": "Cathrine Bechtelar",
  "NoMailing": false,
  "UsePersonAddress": true,
  "Retired": false,
  "Urls": [
    {
      "Value": "odit",
      "StrippedValue": "velit",
      "Description": "Compatible homogeneous intranet"
    },
    {
      "Value": "odit",
      "StrippedValue": "velit",
      "Description": "Compatible homogeneous intranet"
    }
  ],
  "FormalName": "Waelchi-Barrows",
  "Address": null,
  "Post3": "aut",
  "Post2": "est",
  "Post1": "quibusdam",
  "Kanalname": "sit",
  "Kanafname": "laborum",
  "CorrespondingAssociate": null,
  "Category": null,
  "Business": null,
  "Associate": null,
  "Salutation": "temporibus",
  "ActiveInterests": 742,
  "SupportAssociate": null,
  "TicketPriority": null,
  "CustomerLanguage": null,
  "DbiAgentId": 999,
  "DbiKey": "quia",
  "DbiLastModified": "2025-01-28T10:11:00.5162702+01:00",
  "DbiLastSyncronized": "2021-03-31T10:11:00.5162702+02:00",
  "SentInfo": 942,
  "ShowContactTickets": 890,
  "UserInfo": null,
  "ChatEmails": [
    {
      "Value": "iure",
      "StrippedValue": "ullam",
      "Description": "Synergized impactful open system"
    },
    {
      "Value": "iure",
      "StrippedValue": "ullam",
      "Description": "Synergized impactful open system"
    }
  ],
  "InternetPhones": [
    {
      "Value": "modi",
      "StrippedValue": "voluptates",
      "Description": "Fully-configurable non-volatile focus group"
    },
    {
      "Value": "modi",
      "StrippedValue": "voluptates",
      "Description": "Fully-configurable non-volatile focus group"
    }
  ],
  "Source": 404,
  "ActiveErpLinks": 878,
  "ShipmentTypes": [
    {
      "Id": 759,
      "Name": "Stroman Inc and Sons",
      "ToolTip": "Explicabo ut quo occaecati ipsam omnis veniam corrupti.",
      "Deleted": false,
      "Rank": 104,
      "Type": "id",
      "ColorBlock": 108,
      "IconHint": "et",
      "Selected": false,
      "LastChanged": "2014-10-15T10:11:00.5172704+02:00",
      "ChildItems": [
        {},
        {}
      ],
      "ExtraInfo": "sequi",
      "StyleHint": "sint",
      "Hidden": false,
      "FullName": "Dr. Shyanne Tillman"
    }
  ],
  "Consents": [
    {
      "ConsentPersonId": 564,
      "Comment": "esse",
      "Registered": "2025-04-07T10:11:00.5172704+02:00",
      "RegisteredAssociateId": 535,
      "Updated": "2008-07-23T10:11:00.5172704+02:00",
      "UpdatedAssociateId": 589,
      "LegalBaseId": 695,
      "LegalBaseKey": "doloribus",
      "LegalBaseName": "Boyle-Donnelly",
      "ConsentPurposeId": 840,
      "ConsentPurposeKey": "dicta",
      "ConsentPurposeName": "Haley, Olson and Waters",
      "ConsentSourceId": 585,
      "ConsentSourceKey": "hic",
      "ConsentSourceName": "Huels, Davis and Connelly"
    }
  ],
  "BounceEmails": [
    "edythe@volkman.info",
    "grover_larkin@ryanparisian.com"
  ],
  "ActiveStatusMonitorId": 849,
  "CreatedByFormId": 61,
  "InitialUtmParameters": null,
  "UserDefinedFields": {
    "SuperOffice:1": "Anne Ethyl Bernier Jr.",
    "SuperOffice:2": "Zora Collins"
  },
  "ExtraFields": {
    "ExtraFields1": "sed",
    "ExtraFields2": "corrupti"
  },
  "CustomFields": {
    "CustomFields1": "autem",
    "CustomFields2": "molestiae"
  }
}

Sample response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "PersonId": 135,
  "Firstname": "Patricia",
  "MiddleName": "Anne",
  "Lastname": "Williams",
  "Mrmrs": "Mrs.",
  "Title": "Operations Manager",
  "UpdatedDate": "2024-11-27T17:00:00+01:00",
  "CreatedDate": "2023-04-17T09:30:00+02:00",
  "BirthDate": "1978-09-10T00:00:00+02:00",
  "CreatedBy": null,
  "Emails": [
    {
      "Value": "quae",
      "StrippedValue": "ut",
      "Description": "Fundamental value-added hardware",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.String",
          "FieldLength": 659
        }
      }
    },
    {
      "Value": "quae",
      "StrippedValue": "ut",
      "Description": "Fundamental value-added hardware",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.String",
          "FieldLength": 659
        }
      }
    }
  ],
  "Description": "Operations Manager with focus on process optimization and team coordination",
  "IsAssociate": true,
  "PrivatePhones": [
    {
      "Value": "sapiente",
      "StrippedValue": "possimus",
      "Description": "Universal high-level utilisation",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 218
        }
      }
    },
    {
      "Value": "sapiente",
      "StrippedValue": "possimus",
      "Description": "Universal high-level utilisation",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 218
        }
      }
    }
  ],
  "Faxes": [
    {
      "Value": "eius",
      "StrippedValue": "libero",
      "Description": "Mandatory asynchronous extranet",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 499
        }
      }
    },
    {
      "Value": "eius",
      "StrippedValue": "libero",
      "Description": "Mandatory asynchronous extranet",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 499
        }
      }
    }
  ],
  "MobilePhones": [
    {
      "Value": "vero",
      "StrippedValue": "explicabo",
      "Description": "Decentralized 3rd generation strategy",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.String",
          "FieldLength": 827
        }
      }
    },
    {
      "Value": "vero",
      "StrippedValue": "explicabo",
      "Description": "Decentralized 3rd generation strategy",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.String",
          "FieldLength": 827
        }
      }
    }
  ],
  "OfficePhones": [
    {
      "Value": "animi",
      "StrippedValue": "quia",
      "Description": "Versatile high-level encoding",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.String",
          "FieldLength": 414
        }
      }
    },
    {
      "Value": "animi",
      "StrippedValue": "quia",
      "Description": "Versatile high-level encoding",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.String",
          "FieldLength": 414
        }
      }
    }
  ],
  "OtherPhones": [
    {
      "Value": "aut",
      "StrippedValue": "unde",
      "Description": "Expanded bi-directional focus group",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 784
        }
      }
    },
    {
      "Value": "aut",
      "StrippedValue": "unde",
      "Description": "Expanded bi-directional focus group",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 784
        }
      }
    }
  ],
  "Position": null,
  "UpdatedBy": null,
  "Contact": null,
  "Country": null,
  "Interests": [
    {
      "Id": 112,
      "Name": "Zemlak, Brown and Bins",
      "ToolTip": "Quia culpa aspernatur quidem illum atque.",
      "Deleted": false,
      "Rank": 614,
      "Type": "saepe",
      "ColorBlock": 273,
      "IconHint": "ab",
      "Selected": true,
      "LastChanged": "2002-03-19T10:11:00.5292743+01:00",
      "ChildItems": [
        {},
        {}
      ],
      "ExtraInfo": "saepe",
      "StyleHint": "optio",
      "Hidden": true,
      "FullName": "Monroe Mayert",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.String",
          "FieldLength": 243
        }
      }
    }
  ],
  "PersonNumber": "10009",
  "FullName": "Patricia Anne Williams",
  "NoMailing": false,
  "UsePersonAddress": false,
  "Retired": false,
  "Urls": [
    {
      "Value": "amet",
      "StrippedValue": "doloremque",
      "Description": "Object-based discrete instruction set",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 335
        }
      }
    },
    {
      "Value": "amet",
      "StrippedValue": "doloremque",
      "Description": "Object-based discrete instruction set",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 335
        }
      }
    }
  ],
  "FormalName": "Mrs. Patricia Anne Williams",
  "Address": null,
  "Post3": "Canada",
  "Post2": "Toronto, ON M5H 2N2",
  "Post1": "100 King Street West",
  "Kanalname": "magnam",
  "Kanafname": "quia",
  "CorrespondingAssociate": null,
  "Category": null,
  "Business": null,
  "Associate": null,
  "Salutation": "Dear Mrs. Williams",
  "ActiveInterests": 913,
  "SupportAssociate": null,
  "TicketPriority": null,
  "CustomerLanguage": null,
  "DbiAgentId": 441,
  "DbiKey": "aut",
  "DbiLastModified": "2022-09-03T10:11:00.5332744+02:00",
  "DbiLastSyncronized": "2009-07-05T10:11:00.5332744+02:00",
  "SentInfo": 90,
  "ShowContactTickets": 496,
  "UserInfo": null,
  "ChatEmails": [
    {
      "Value": "reiciendis",
      "StrippedValue": "minima",
      "Description": "Automated fresh-thinking conglomeration",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 716
        }
      }
    },
    {
      "Value": "reiciendis",
      "StrippedValue": "minima",
      "Description": "Automated fresh-thinking conglomeration",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 716
        }
      }
    }
  ],
  "InternetPhones": [
    {
      "Value": "aperiam",
      "StrippedValue": "quibusdam",
      "Description": "Quality-focused local hardware",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 936
        }
      }
    },
    {
      "Value": "aperiam",
      "StrippedValue": "quibusdam",
      "Description": "Quality-focused local hardware",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 936
        }
      }
    }
  ],
  "Source": 584,
  "ActiveErpLinks": 19,
  "ShipmentTypes": [
    {
      "Id": 319,
      "Name": "Parisian-Runte",
      "ToolTip": "Occaecati tenetur totam iste nostrum distinctio.",
      "Deleted": true,
      "Rank": 908,
      "Type": "quia",
      "ColorBlock": 472,
      "IconHint": "natus",
      "Selected": false,
      "LastChanged": "2018-03-19T10:11:00.5332744+01:00",
      "ChildItems": [
        {},
        {}
      ],
      "ExtraInfo": "excepturi",
      "StyleHint": "nihil",
      "Hidden": false,
      "FullName": "Ottis Wilderman",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.String",
          "FieldLength": 328
        }
      }
    }
  ],
  "Consents": [
    {
      "ConsentPersonId": 907,
      "Comment": "voluptates",
      "Registered": "2005-05-31T10:11:00.5332744+02:00",
      "RegisteredAssociateId": 717,
      "Updated": "2000-06-12T10:11:00.5332744+02:00",
      "UpdatedAssociateId": 552,
      "LegalBaseId": 809,
      "LegalBaseKey": "nobis",
      "LegalBaseName": "Leuschke-Batz",
      "ConsentPurposeId": 861,
      "ConsentPurposeKey": "ullam",
      "ConsentPurposeName": "Eichmann, Veum and DuBuque",
      "ConsentSourceId": 208,
      "ConsentSourceKey": "quis",
      "ConsentSourceName": "Stracke, Hudson and Flatley",
      "TableRight": null,
      "FieldProperties": {
        "fieldName": {
          "FieldRight": null,
          "FieldType": "System.Int32",
          "FieldLength": 136
        }
      }
    }
  ],
  "BounceEmails": [],
  "ActiveStatusMonitorId": 97,
  "CreatedByFormId": 566,
  "InitialUtmParameters": null,
  "UserDefinedFields": {
    "SuperOffice:1": "Kadin Tillman",
    "SuperOffice:2": "False"
  },
  "ExtraFields": {
    "ExtraFields1": "quaerat",
    "ExtraFields2": "tempora"
  },
  "CustomFields": {
    "CustomFields1": "qui",
    "CustomFields2": "sapiente"
  },
  "TableRight": null,
  "FieldProperties": {
    "fieldName": {
      "FieldRight": null,
      "FieldType": "System.String",
      "FieldLength": 863
    }
  }
}
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top